javax.crypto

## Class ShortBufferException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - java.security.GeneralSecurityException
      - - javax.crypto.ShortBufferException

- All Implemented Interfaces:
    Serializable

      public class ShortBufferException
      extends GeneralSecurityException

  This exception is thrown when an output buffer provided by the user is too short to hold the operation result.
  Since:
    1.4
  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `ShortBufferException()` Constructs a ShortBufferException with no detail message.
    `ShortBufferException(String msg)` Constructs a ShortBufferException with the specified detail message.

  - ### Method Summary

    - ### Methods inherited from class java.lang.Throwable

      `fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### ShortBufferException

          public ShortBufferException()

      Constructs a ShortBufferException with no detail message. A detail message is a String that describes this particular exception.

    - #### ShortBufferException

          public ShortBufferException(String msg)

      Constructs a ShortBufferException with the specified detail message.
      Parameters:
        `msg` - the detail message.

Submit a bug or feature
For further API reference and developer documentation, see Java SE Documentation. That documentation contains more detailed, developer-targeted descriptions, with conceptual overviews, definitions of terms, workarounds, and working code examples.

Copyright © 1993, 2014, Oracle and/or its affiliates. All rights reserved.